eric ide

Issue164

Classification
Title: Issue with debugger interface
Type: crash Product: eric6
Process
Priority: critical    
Status: closed Resolution: fixed
Superseder: Nosy List: Davy39, detlev
Assigned to: detlev Keywords:

Created on 2014-11-17.08:03:23 by Davy39, last changed by Davy39.

Messages (6.0)
msg594 (view) Author: Davy39 Date: 2014-11-19.03:49:33
Great job :)
msg593 (view) Author: detlev Date: 2014-11-18.18:05:51
That was caused by a stupid copy&paste bug in the code that initializes the default 
extensions.
msg592 (view) Author: Davy39 Date: 2014-11-18.09:55:20
I don't have this problem when I downgrade to rev 3924.
msg591 (view) Author: Davy39 Date: 2014-11-18.09:45:44
Hi,
I tried to delete both ~/.eric6 and .config/Eric6 folders, than reinstall Eric6.
I'm Still getting this error very soon, Eric6 folder is not even recreated.
msg590 (view) Author: detlev Date: 2014-11-17.18:09:07
Please check the config file (~/.config/Eric6/eric6.ini) for the entry 
'PythonExtensions'. I checked the code and couldn't find a path that could cause 
this setting to be a tuple. It should be a string listing the extensions. If it 
isn't please delete this entry while eric6 is shut down and retry.
msg589 (view) Author: Davy39 Date: 2014-11-17.08:03:23
Instead of fixing an issue, it seems that last changes created one, at least in
my environment :


2014-11-17, 15:41:43
--------------------------------------------------------------------------------
<class 'AttributeError'>: 
'tuple' object has no attribute 'split'
--------------------------------------------------------------------------------
  File "/usr/lib/python3/dist-packages/eric6/eric6.py", line 326, in <module>
    main()
  File "/usr/lib/python3/dist-packages/eric6/eric6.py", line 323, in main
    raise err
  File "/usr/lib/python3/dist-packages/eric6/eric6.py", line 306, in main
    restartArgs)
  File "/usr/lib/python3/dist-packages/eric6/UI/UserInterface.py", line 204, in
__init__
    debugServer = DebugServer()
  File "/usr/lib/python3/dist-packages/eric6/Debugger/DebugServer.py", line 233,
in __init__
    self.__registerDebuggerInterfaces()
  File "/usr/lib/python3/dist-packages/eric6/Debugger/DebugServer.py", line 299,
in __registerDebuggerInterfaces
    mod.getRegistryData()
  File
"/usr/lib/python3/dist-packages/eric6/Debugger/DebuggerInterfacePython.py", line
43, in getRegistryData
    for ext in Preferences.getDebugger("PythonExtensions").split():

--------------------------------------------------------------------------------
Version Numbers:
  Python 3.4.2
  Qt 5.3.0
  PyQt5 5.3.2
  sip 4.16.3
  QScintilla 2.8.3
  WebKit 538.1
  eric6 @@VERSION@@ (rev. @@REVISION@@)

Platform: linux
3.4.2 (default, Oct  8 2014, 13:08:17) 
[GCC 4.9.1]
--------------------------------------------------------------------------------
Distribution Info:
  /etc/os-release
  NAME="Ubuntu"
  VERSION="14.10 (Utopic Unicorn)"
  ID=ubuntu
  ID_LIKE=debian
  PRETTY_NAME="Ubuntu 14.10"
  VERSION_ID="14.10"

  /etc/lsb-release
  DISTRIB_ID=Ubuntu
  DISTRIB_RELEASE=14.10
  DISTRIB_CODENAME=utopic
  DISTRIB_DESCRIPTION="Ubuntu 14.10"
History
Date User Action Args
2014-11-19 03:49:33Davy39setmessage_count: 5.0 -> 6.0
messages: + msg594
2014-11-18 18:05:51detlevsetstatus: open -> closed
resolution: fixed
messages: + msg593
message_count: 4.0 -> 5.0
2014-11-18 09:55:20Davy39setmessage_count: 3.0 -> 4.0
messages: + msg592
2014-11-18 09:45:44Davy39setmessage_count: 2.0 -> 3.0
messages: + msg591
2014-11-17 18:09:07detlevsetmessage_count: 1.0 -> 2.0
messages: + msg590
2014-11-17 18:06:52detlevsetstatus: new -> open
assignedto: detlev
nosy: + detlev
2014-11-17 08:03:23Davy39create